Donations
Update a custom donation field
Updates the current organization’s field label; input type, options and stable field key remain fixed. Required/visibility and conditional display controls can also be updated, with the whole ordered dependency graph validated. Requires permission: one of manage_settings.
PUT
/
admin
/
donation-fields
/
{fieldId}
Update a custom donation field
curl --request PUT \
--url https://api.gratona.com/v1/admin/donation-fields/{fieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"field_label": "Campaign source",
"permissions": "admin",
"required": false,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": [
"Community"
]
}
}
'import requests
url = "https://api.gratona.com/v1/admin/donation-fields/{fieldId}"
payload = {
"field_label": "Campaign source",
"permissions": "admin",
"required": False,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": ["Community"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_label: 'Campaign source',
permissions: 'admin',
required: false,
conditional_display_rule: {
depends_on_field_key: 'gift_550e8400e29b41d4a716446655440000',
show_when_values: ['Community']
}
})
};
fetch('https://api.gratona.com/v1/admin/donation-fields/{fieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/donation-fields/{fieldId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'field_label' => 'Campaign source',
'permissions' => 'admin',
'required' => false,
'conditional_display_rule' => [
'depends_on_field_key' => 'gift_550e8400e29b41d4a716446655440000',
'show_when_values' => [
'Community'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/donation-fields/{fieldId}"
payload := strings.NewReader("{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/donation-fields/{fieldId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/donation-fields/{fieldId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"field": {
"id": 42,
"client_id": 12,
"field_key": "gift_550e8400e29b41d4a716446655440000",
"field_label": "Campaign source",
"field_type": "hysSelect",
"field_data": "Community,Event",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"permissions": "admin",
"field_order": 0,
"required": false,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": [
"Community"
]
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Field id in the current organization.
Body
application/json
Validated request fields for this operation.
Maximum string length:
100Example:
"Campaign source"
admin-only unless donation_field_checkout_v1 permits donor/public visibility.
Available options:
admin, donor, public Example:
"admin"
Example:
false
Show child attributes
Show child attributes
Response
Operation result.
Show child attributes
Show child attributes
⌘I
Update a custom donation field
curl --request PUT \
--url https://api.gratona.com/v1/admin/donation-fields/{fieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"field_label": "Campaign source",
"permissions": "admin",
"required": false,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": [
"Community"
]
}
}
'import requests
url = "https://api.gratona.com/v1/admin/donation-fields/{fieldId}"
payload = {
"field_label": "Campaign source",
"permissions": "admin",
"required": False,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": ["Community"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_label: 'Campaign source',
permissions: 'admin',
required: false,
conditional_display_rule: {
depends_on_field_key: 'gift_550e8400e29b41d4a716446655440000',
show_when_values: ['Community']
}
})
};
fetch('https://api.gratona.com/v1/admin/donation-fields/{fieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/donation-fields/{fieldId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'field_label' => 'Campaign source',
'permissions' => 'admin',
'required' => false,
'conditional_display_rule' => [
'depends_on_field_key' => 'gift_550e8400e29b41d4a716446655440000',
'show_when_values' => [
'Community'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/donation-fields/{fieldId}"
payload := strings.NewReader("{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/donation-fields/{fieldId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/donation-fields/{fieldId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field_label\": \"Campaign source\",\n \"permissions\": \"admin\",\n \"required\": false,\n \"conditional_display_rule\": {\n \"depends_on_field_key\": \"gift_550e8400e29b41d4a716446655440000\",\n \"show_when_values\": [\n \"Community\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"field": {
"id": 42,
"client_id": 12,
"field_key": "gift_550e8400e29b41d4a716446655440000",
"field_label": "Campaign source",
"field_type": "hysSelect",
"field_data": "Community,Event",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"permissions": "admin",
"field_order": 0,
"required": false,
"conditional_display_rule": {
"depends_on_field_key": "gift_550e8400e29b41d4a716446655440000",
"show_when_values": [
"Community"
]
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}